
QGIS Application - Bug report #18398

QGIS3 Print settings error

2018-03-09 05:33 PM - Noel Ballantyne

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: win 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26288

Description

I'm new here. I have searched but haven't found this error over the past few days.

I updated from 2.18 to 3. Opened an existing project, everything great, faster rendering (yay).

When printing directly to the A4 printer, the paper size is not recognised by the printer and when the layout does print, part of the layout is

missing. I have tried to print to A0 printer and the paper size keeps changing to A4 from A0 or A1

When I print to pdf, everything is fine.

Associated revisions

Revision a87a7b72 - 2018-07-30 09:12 PM - Nyall Dawson

[layouts] Attempted fix for direct printing page orientation issues

Seems the earlier hack may no longer be valid for Qt5.

Fixes #18398, #18994, #19142, #19279

Revision 44332c14 - 2018-07-31 02:24 AM - Nyall Dawson

[layouts] Attempted fix for direct printing page orientation issues

Seems the earlier hack may no longer be valid for Qt5.

Fixes #18398, #18994, #19142, #19279

(cherry-picked from a87a7b72d)

History

#1 - 2018-03-09 05:34 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

worked ok on 2.18?

2025-04-27 1/3



#2 - 2018-03-12 10:14 AM - Noel Ballantyne

Giovanni Manghi wrote:

worked ok on 2.18?

Yes all layouts printed ok on 2.18

#3 - 2018-03-12 12:19 PM - Alessandro Pasotti

can you attach your test project (and minimal data)?

#4 - 2018-03-12 01:20 PM - Noel Ballantyne

690 layers in file.

Ill trim in down to 3/4,

Will i do same for 2.18 version?

#5 - 2018-03-12 05:08 PM - Noel Ballantyne

- File planners areas 2017.shx added

- File planners areas 2017.qpj added

- File planners areas 2017.prj added

- File planners areas 2017.dbf added

- File planners areas 2017.cpg added

- File planners areas 2017.shp added

- File Planning Register 3.0 sample.qgs added

- File Japanese_Knotweed.sbx added

- File Japanese_Knotweed.sbn added

- File Japanese_Knotweed.prj added

3 layouts A4 sized.

#6 - 2018-03-13 12:07 PM - Alessandro Pasotti

Thanks, no need to attach a 2.x project: the layout code is a complete rewrite.

#7 - 2018-05-09 12:30 PM - Fernando Ciges

The same happens to me. I have gone from version 2.18 to version 3.0. In the Las Palmas version I had no problem with printing.

I usually work in A3 format and as I said in version 2.18 I did not have any problems with printing from the "designer manager", but in version 3.0, from the

"Show Layout" I printed the rotated drawing occupying only a part of A3 paper. Paper comes out horizontally and printing makes it vertical. It is not a

problem to configure the printer or the preferences because with version 2.18 I do exactly the same and print well.
#8 - 2018-07-30 09:12 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|a87a7b72df6d3bbb71ac423cf61bf80a7de54354.

Files

planners areas 2017.dbf 10.6 KB 2018-03-12 Noel Ballantyne

planners areas 2017.cpg 5 Bytes 2018-03-12 Noel Ballantyne

planners areas 2017.prj 411 Bytes 2018-03-12 Noel Ballantyne

planners areas 2017.qpj 648 Bytes 2018-03-12 Noel Ballantyne

planners areas 2017.shx 172 Bytes 2018-03-12 Noel Ballantyne

planners areas 2017.shp 1.05 MB 2018-03-12 Noel Ballantyne

Japanese_Knotweed.prj 400 Bytes 2018-03-12 Noel Ballantyne

Japanese_Knotweed.sbn 1.18 KB 2018-03-12 Noel Ballantyne

Japanese_Knotweed.sbx 188 Bytes 2018-03-12 Noel Ballantyne

Planning Register 3.0 sample.qgs 279 KB 2018-03-12 Noel Ballantyne

2025-04-27 3/3


